> ## Documentation Index
> Fetch the complete documentation index at: https://docs.a-char.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Grant survey overview access to employees

> Sets can_read on the survey form for the given employees, and removes access for the ids to delete. Requires the `surveys:write` scope.



## OpenAPI

````yaml /openapi.json post /surveys/{id}/full-access
openapi: 3.1.1
info:
  title: A-Char API
  version: 1.0.0
  description: 'Authenticate with `Authorization: Bearer <api key>`.'
servers:
  - url: https://a-char.com/api/v1
security:
  - bearerAuth: []
paths:
  /surveys/{id}/full-access:
    post:
      tags:
        - Surveys
      summary: Grant survey overview access to employees
      description: >-
        Sets can_read on the survey form for the given employees, and removes
        access for the ids to delete. Requires the `surveys:write` scope.
      operationId: surveys.giveFullAccess
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                employeeIds:
                  type: array
                  items:
                    type: string
                    format: uuid
                employeeIdsToDelete:
                  type: array
                  items:
                    type: string
                    format: uuid
              required:
                - employeeIds
                - employeeIdsToDelete
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                required:
                  - id
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.